org.eclipse.debug.ui.actions

## Interface IWatchExpressionFactoryAdapter2

    public interface IWatchExpressionFactoryAdapter2

An optional adapter used to create a watch expression for a selected element.

The 'Create Watch Expression' action is enabled for an adaptable element that have an associated `IWatchExpressionFactoryAdapter2`. When a watch expression factory adapter is available for an element, the factory is consulted to create a watch expression for that element.

Clients may implement this interface.

Since:
  3.4

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canCreateWatchExpression(Object variable)` Returns whether a watch expression can be created for the specified variable.
`String` `createWatchExpression(Object element)` Creates and returns an expression for the specified variable which is used to created an `IWatchExpression`.

### Method Detail

#### createWatchExpression

    String createWatchExpression(Object element)
                          throws CoreException

Creates and returns an expression for the specified variable which is used to created an `IWatchExpression`.

Parameters:
  `element` - element a watch expression is required for
Returns:
  text used to create a watch expression
Throws:
  `CoreException` - if unable to create a watch expression

#### canCreateWatchExpression

    boolean canCreateWatchExpression(Object variable)

Returns whether a watch expression can be created for the specified variable.

Parameters:
  `variable` - the specified variable
Returns:
  whether an expression can be created